Bug 106955 - SharePoint lists fail to open using WebDAV
Summary: SharePoint lists fail to open using WebDAV
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: SharePoint-List
  Show dependency treegraph
 
Reported: 2017-04-04 15:53 UTC by Mike Kaganski
Modified: 2018-04-23 13:01 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2017-04-04 15:53:12 UTC
When one uses SharePoint's "Export to Excel" feature to export lists, the URI returned by server cannot be open in LibreOffice.

The reason is that the resource isn't usual WebDAV document, and its IsDocument property cannot be taken using PROPFIND (the method fails). Also, the data hasn't XML declaration (starting with "<?xml").

The exported list has

> Content-Disposition: attachment
> Content-Type: application/xml

in its HEAD.

A patch is submitted: https://gerrit.libreoffice.org/36090
Comment 1 Mike Kaganski 2017-04-04 19:52:27 UTC
The patch mentioned in comment 0 fixes the WebDAV part (dealing with failing PROPFIND).

Another patch (https://gerrit.libreoffice.org/36101) deals with detection of XML files without XML declarations.
Comment 2 Commit Notification 2017-04-05 05:40:52 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fbc04c97231d629c1b5e9e57203dbe8d8eb06714

tdf#106955: Open WebDAV resources on which PROPFIND fails

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-04-05 06:08:18 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=156f778593ca9c57845076a88c6b544a63e12e7a

tdf#106955: Detect XML by MediaType

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Roeland 2017-05-09 14:28:05 UTC
Is this issue solved?

Also, I guess this is the "Native connector for: SharePoint lists" on the Microsoft office- LibreOffice comparison page?:

https://wiki.documentfoundation.org/Feature_Comparison:_LibreOffice_-_Microsoft_Office#Spreadsheet_applications:_LibreOffice_Calc_vs._Microsoft_Excel